Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class ProjectDependency

- org.gradle.plugins.ide.eclipse.model.ProjectDependency

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `declaredConfigurationName`
    `String` | `gradlePath`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProjectDependency (groovy.util.Node node)`
    `ProjectDependency (String path, String gradlePath)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDeclaredConfigurationName()`
    `String` | `getKind()`
    `void` | `setDeclaredConfigurationName(String declaredConfigurationName)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### @Deprecated String declaredConfigurationName

    - #### String gradlePath

  - ### Constructor Detail

    - #### ProjectDependency(groovy.util.Node node)

    - #### ProjectDependency(String path, String gradlePath)

  - ### Method Detail

    - #### String getDeclaredConfigurationName()

    - #### String getKind()

    - #### void setDeclaredConfigurationName(String declaredConfigurationName)

    - #### String toString()